> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a metric alert

> Send a metric out of range alert for a monitored model. Required Permissions: `ViewMonitoringResults`



## OpenAPI

````yaml /api-specs/6.3/public-api.json post /api/metricAlerts/v1
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/metricAlerts/v1:
    post:
      tags:
        - Custom metrics
      summary: Send a metric alert
      description: >-
        Send a metric out of range alert for a monitored model. Required
        Permissions: `ViewMonitoringResults`
      operationId: sendMetricAlert
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MetricAlertRequestV1'
        description: Details about the metric alert to send
        required: true
      responses:
        '200':
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    MetricAlertRequestV1:
      properties:
        description:
          description: Optional text to append to the metric alert message
          type: string
        metric:
          description: Name of the metric to send alert for
          type: string
        modelMonitoringId:
          description: ID of the monitored model to send metric alerts for
          type: string
        targetRange:
          $ref: '#/components/schemas/TargetRangeV1'
        value:
          description: Value of the metric
          type: number
      required:
        - modelMonitoringId
        - metric
        - value
        - targetRange
      type: object
    TargetRangeV1:
      properties:
        condition:
          description: Condition to evaluate metric value against upperLimit/lowerLimit
          enum:
            - lessThan
            - lessThanEqual
            - greaterThan
            - greaterThanEqual
            - between
          type: string
        lowerLimit:
          description: >-
            Lower limit in the target range for a metric; lowerLimit,
            upperLimit, or both must be provided
          type: number
        upperLimit:
          description: >-
            Upper limit in the target range for a metric; lowerLimit,
            upperLimit, or both must be provided
          type: number
      required:
        - condition
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Custom Model Monitoring metrics](/6.3/platform-capabilities/features/monitoring/5-use-monitoring/2-custom-metrics.md)
- [Model Monitoring custom metrics Python SDK](/6.3/reference/api/model_monitoring/custom-metrics.md)
- [Use model endpoint monitoring dashboards](/6.3/admin/operations/monitoring/grafana/model-endpoint-monitoring.md)
- [Set up notifications](/6.3/platform-capabilities/features/monitoring/4-set-up-model-monitor/7-set-up-notifications-mm.md)
